about summary refs log tree commit diff stats
diff options
context:
space:
mode:
authorLeo Vivier <zaephon@gmail.com>2019-01-19 22:42:50 +0100
committerLeo Vivier <zaephon@gmail.com>2019-01-19 22:42:50 +0100
commit93863d298d4e27e16581752b742dd63496ee8957 (patch)
tree09d914bc1d7bfdd7c11549a3f9bf890426c94e77
parentf29040739d6ffaa425da3f6ae0a16083aa66d67f (diff)
downloadranger-93863d298d4e27e16581752b742dd63496ee8957.tar.gz
Invert condition
Since we’re now checking whether fontimage runs successfully rather
than if it throws an error, the conditions needs to be inverted.
-rwxr-xr-xranger/data/scope.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/ranger/data/scope.sh b/ranger/data/scope.sh
index 849d9714..c9e6f112 100755
--- a/ranger/data/scope.sh
+++ b/ranger/data/scope.sh
@@ -142,11 +142,11 @@ handle_image() {
                          --text "  The quick brown fox jumps over the lazy dog.  " \
                          "${FILE_PATH}";
             then
-                exit 1
-            else
                 convert -- "${preview_png}" "${IMAGE_CACHE_PATH}" \
                     && rm "${preview_png}" \
                     && exit 6
+            else
+                exit 1
             fi
             ;;